How can I find out which package fulfills an RPM dependency if an RPM installation complains about a missing dependency?

Updated -

When trying to install an RPM package, an error message like the following may indicate an RPM dependency issue:

# rpm -i k3b-0.11.14

error: Failed dependencies:
        libkwalletclient.so.1 is needed by k3b-0.11.14-6.RHEL4

To find out which package provides libkwalletclient.so.1, execute the up2date command with the whatprovides...

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In